const Mesa = require('vendor/Mesa.js');

module.exports = new class {

  script = (payload, context) => {
    const vars = context.steps;

    let charges = vars.custom.subscription.include.charge_activities;
    let previousPrice = charges[charges.length - 1].charge_amount;
    let newPrice = vars.recharge.price;

    let today = new Date();
    let dayOfMonth = today.getDate();

    let chargeAmount = (newPrice - previousPrice) / (31 - dayOfMonth);
    chargeAmount = chargeAmount.toFixed(2);
    if (chargeAmount > 100) {
      throw new Error("New charge amount is too high");
    }

    Mesa.trigger.setTaskExternalData({
      "label": `Previous Price: ${previousPrice}, New Price: ${newPrice}, one-off charge: ${chargeAmount}`,
    })

    Mesa.output.next({"amount": chargeAmount});
  }
}
