const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    let credential = JSON.parse(Mesa.credential.get('recharge_1'));
    let options = {
      "headers": {
        "Content-Type": "application/json",
        "X-Recharge-Access-Token": credential.access_token,
        "X-Recharge-Version": "2021-11"
      }
    }

    let subscriptionId = vars.recharge.id;

    let url = `https://api.rechargeapps.com/subscriptions/${subscriptionId}?include=charge_activities`;
    let result = Mesa.request.get(url, options);    

    Mesa.output.next(result);
  }
}
